resource "aws_glue_workflow" "daily" {
  name = "${var.name_prefix}-${var.aggregation_name}-daily-workflow"
  tags = var.tags
}

resource "aws_glue_trigger" "daily" {
  name          = "${var.name_prefix}-${var.aggregation_name}-daily"
  tags          = var.tags
  type          = "ON_DEMAND"
  workflow_name = aws_glue_workflow.daily.name
  # On-demand so disabled isn't an option
  enabled = true

  actions {
    job_name = aws_glue_job.glue_daily_job.name
  }
}

resource "aws_glue_trigger" "rolling_31day" {
  name          = "${var.name_prefix}-${var.aggregation_name}-31day"
  tags          = var.tags
  type          = "CONDITIONAL"
  workflow_name = aws_glue_workflow.daily.name
  enabled       = var.job_config_31days.trigger_enabled

  predicate {
    conditions {
      job_name         = aws_glue_job.glue_daily_job.name
      state            = "SUCCEEDED"
      logical_operator = "EQUALS"
    }
    logical = "AND"
  }

  actions {
    job_name = aws_glue_job.glue_31days_job.name
  }
}
