resource "aws_glue_workflow" "hourly" {
  name = "${var.name_prefix}-${var.aggregation_name}-hourly-workflow"
  tags = var.tags
}

resource "aws_glue_trigger" "hourly" {
  name          = "${var.name_prefix}-${var.aggregation_name}-hourly"
  type          = "SCHEDULED"
  schedule      = "cron(05 0/1 * * ? *)" #
  workflow_name = aws_glue_workflow.hourly.name
  enabled       = var.job_config_hourly.trigger_enabled
  tags          = var.tags

  actions {
    job_name = aws_glue_job.glue_hourly_job.name
  }
}

resource "aws_glue_trigger" "rolling_24hours" {
  name          = "${var.name_prefix}-${var.aggregation_name}-24hours"
  type          = "CONDITIONAL"
  workflow_name = aws_glue_workflow.hourly.name
  enabled       = var.job_config_24hours.trigger_enabled
  tags          = var.tags

  predicate {
    conditions {
      job_name         = aws_glue_job.glue_hourly_job.name
      state            = "SUCCEEDED"
      logical_operator = "EQUALS"
    }
    logical = "AND"
  }

  actions {
    job_name = aws_glue_job.glue_24hours_job.name
  }
}
